#!/bin/python
from flask import Flask, render_template, g
import mysql.connector
import config

app = Flask(__name__)

def query(operation, *params):
	if 'db' not in g or not g.db.is_connected():
		g.db = mysql.connector.connect(user=config.db_user, password=config.db_passwd, host=config.db_host, database=config.db_db)
	cur = g.db.cursor(dictionary=True)
	cur.execute(operation, params)
	return cur.fetchall()

@app.route('/')
def index():
	return render_template('index.html', latestvideos=query('''
				SELECT lectures.*, max(videos.time_updated) AS lastvidtime, courses.short, courses.downloadable, courses.title AS coursetitle
				FROM lectures
				LEFT JOIN videos ON (videos.lecture_id = lectures.id)
				LEFT JOIN courses on (courses.id = lectures.course_id)
				WHERE (videos.time_updated >= SUBDATE(NOW(), 14))
					AND (%s OR (courses.visible AND courses.listed AND lectures.visible AND videos.visible))
				GROUP BY videos.lecture_id
				ORDER BY lastvidtime DESC
				LIMIT 5
			''', False))

@app.route('/videos')
def videos():
	return render_template('videos.html', active_page='videos')

@app.route('/faq')
def faq():
	return render_template('faq.html',  active_page='faq')

if __name__ == '__main__':
	app.debug = True
	app.run()
